Deployments.ai Docs
Providers

List supported providers

GET /v1/providers · SDK listProviders · CLI deployments provider list

GET
/v1/providers

Query Parameters

cursor?string
Length1 <= length <= 4096
limit?integer
Range1 <= value <= 100

Response Body

ListProvidersResponse

application/json
  1. response
items*array<>
nextCursor*string|null
curl -X GET "https://example.com/v1/providers"
{  "items": [    {      "authMethods": [        "string"      ],      "category": "string",      "displayName": "string",      "key": "string",      "metadata": {        "property1": null,        "property2": null      },      "route": "string",      "status": "string",      "supportedScopes": [        "string"      ],      "supportedTools": [        "string"      ],      "verification": {        "property1": null,        "property2": null      }    }  ],  "nextCursor": "string"}